/**
 * ZeigeLizenzAn.java
 * eu.gronos.kostenrechner.view (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller;

import java.awt.event.ActionEvent;

import eu.gronos.kostenrechner.view.AktionenJMenu;
import eu.gronos.kostenrechner.view.helpanderror.LizenzAkzeptanzHinzufuegen;

/**
 * lizenzAnzeigenAktion zeigt die Kurzform der Lizenzbedingungen an als Action.
 * 
 * @author Peter Schuster (setrok)
 * @date 11 Nov 2018
 *
 */
public class LizenzAnzeigenAktion extends BeschriebeneAktion {
	private final AktionenJMenu menu;
	private static final long serialVersionUID = -798271727754981044L;

	/**
	 * Konstruktor: TODO (kommentieren)
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param menu             TODO
	 */
	public LizenzAnzeigenAktion(AktionenJMenu menu, String name, String shortDescription, int mnemonic) {
		super(name, shortDescription, mnemonic);
		this.menu = menu;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		new LizenzAkzeptanzHinzufuegen(this.menu.getKostenrechner(), false).showDialog();
	}
}