/**
 * StreitgenossenAssistentAction.java
 * eu.gronos.kostenrechner.view.panel (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.baumbach;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.controller.VerfahrensDatenContainer;
import eu.gronos.kostenrechner.view.baumbach.BaumbachAssistentDialog;
import eu.gronos.kostenrechner.view.baumbach.StreitgenossenPanel;

/**
 * AbstractAction, nur für den Assistenten! {@link KeyEvent#VK_A}
 *
 * 
 * @author Peter Schuster (setrok)
 * @version
 * @date 10.11.2018
 *
 */
public class StreitgenossenAssistentAction extends BeschriebeneAktion {
	/**
	 * streitgenossenPanel speichert TODO (kommentieren) als
	 * StreitgenossenAssistentAction.
	 */
	private final StreitgenossenPanel panel;
	private static final long serialVersionUID = 3372100502718641247L;

	/**
	 * Konstruktor: TODO (kommentieren)
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 * @param panel            TODO
	 */
	public StreitgenossenAssistentAction(StreitgenossenPanel panel, String name, String shortDescription, int mnemonic,
			String actionCommandKey) {
		super(name, shortDescription, mnemonic, actionCommandKey);
		this.panel = panel;
	}

	@Override
	public void actionPerformed(ActionEvent ae) {
		BaumbachAssistentDialog bad = new BaumbachAssistentDialog(this.panel.getKostenrechner(),
				panel.isWiderKlageAnzeigen());
		VerfahrensDatenContainer container = bad.showDialog();
		if (container != null)
			panel.setzeWerte(container.streitgenossen);
	}
}