/**
 * SpeichereTenorAction.java
 * eu.gronos.kostenrechner.view.result (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.files;

import java.awt.event.ActionEvent;

import javax.swing.KeyStroke;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.view.result.TenorDialog;

/**
 * Speichert den Tenortext im Rich Text Format (RTF)
 *
 * @author Peter Schuster (setrok)
 * @date 22 Nov 2018
 *
 */
public class SpeichereRtfAction extends BeschriebeneAktion/* AbstractAction */ {
	private final TenorDialog tenorDialog;
	private static final long serialVersionUID = 1162624762983290295L;

	/**
	 * Konstruktor: TODO (kommentieren)
	 * @param tenorDialog TODO
	 * @param name
	 * @param shortDescription TODO
	 * @param mnemonic TODO
	 * @param actionCommandKey TODO
	 * @param acceleratorKey TODO
	 */
	public SpeichereRtfAction(TenorDialog tenorDialog, String name, String shortDescription, int mnemonic, String actionCommandKey, KeyStroke acceleratorKey) {		
		super(name, shortDescription, mnemonic, actionCommandKey, acceleratorKey);
		this.tenorDialog = tenorDialog;
		//putValue(ACTION_COMMAND_KEY, actionCommandKey);
		//putValue(SHORT_DESCRIPTION, shortDescription);
		//putValue(MNEMONIC_KEY, mnemonic);
		//putValue(ACCELERATOR_KEY, acceleratorKey);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		this.tenorDialog.getRtfHelper().speichereRTF();
	}
}