/**
 * TeiklageRuecknahmeTerminAction.java
 * eu.gronos.kostenrechner.view.panel (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.gebuehren;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.view.gebuehren.TeilklageruecknahmePanel;

/**
 * Der AbstractAction mit dem Namen standardSzenario leert die Tabelle mit den
 * Gebührentatbeständen und \nfüllt sie mit der Konstellation Teilklagerücknahme
 * vor Anfall der Terminsgebühr. {@link KeyEvent#VK_F}
 *
 */
public class TeilklageTerminAction extends BeschriebeneAktion {
	/**
	 * panel speichert TODO (kommentieren) als TeiklageRuecknahmeTerminAction.
	 */
	private final TeilklageruecknahmePanel panel;
	private static final long serialVersionUID = -7826777167427931422L;

	/**
	 * Konstruktor: TODO  (kommentieren) 
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 * @param teilklageruecknahmePanel TODO
	 */
	public TeilklageTerminAction(TeilklageruecknahmePanel teilklageruecknahmePanel, String name, String shortDescription, int mnemonic,
			String actionCommandKey) {
		super(name, shortDescription, mnemonic, actionCommandKey);
		panel = teilklageruecknahmePanel;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		panel.setzeStandardGebuehren(true);
		panel.getKostenrechner().getTabbedPane().setSelectedIndex(0);
	}
}