/**
 * TableModelGebend.java
 * eu.gronos.kostenrechner.view.gebuehren (Kostenrechner)
 */
package eu.gronos.kostenrechner.interfaces;

import javax.swing.JFrame;
import javax.swing.table.AbstractTableModel;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.model.gebuehren.GebuehrenTatbestandTableModel;
import eu.gronos.kostenrechner.view.KostenJPanel;

/**
 * Das Interface hilft einer {@link BeschriebeneAktion}, mit dem
 * {@link KostenJPanel} kommunizieren zu können.
 *
 * @author Peter Schuster (setrok)
 * @date 3 Dec 2018
 *
 */
public interface TableModelGebend<T extends AbstractTableModel> {

	/**
	 * Die Methode dient dazu das passende {@link GebuehrenTatbestandTableModel}
	 * zurück zu geben.
	 * 
	 * @param index TABLE_VORHER oder TABLE_NACHHER
	 * @return
	 */
	T getTableModel(int index);

	/**
	 * Die Methode dient dazu, TODO (kommentieren) 
	 * 
	 * @return
	 */
	JFrame getKostenrechner();

}